PHP Manual
Prev |  | Next

# SAMConnection->commit()

(no version information, might be only in CVS)

SAMConnection->commit() -- Commits (completes) the current unit of work.

## Description

class SAMConnection {
bool commit ( void )
}

Calling the "commit" method on a Connection object commits (completes) all in-flight transactions that are part of the current unit of work.

## Return Values

This method returns `FALSE` if an error occurs.

## Examples

Example 1. Committing the current unit of work

`<?php if (!$conn->commit()) { // The commit failed! echo "Commit failed ($conn->errno) $conn->error"; } ?>`

## See Also

SAMConnection->rollback()

Prev | Home | Next
SAM - Simple Asynchronous Messaging | Up | SAMConnection->connect()